# $Revision: 1.6 $, $Date: 2012/01/24 16:16:33 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Catalyst
%define	pnam	Model-CDBI
Summary:	Catalyst::Model::CDBI - Class::DBI model class for Catalyst
Summary(pl.UTF-8):	Catalyst::Model::CDBI - klasa modelu Class::DBI dla Catalysta
Name:		perl-Catalyst-Model-CDBI
Version:	0.12
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	96e2e24c2405b060c46525552f91ed4f
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Catalyst >= 4.00
BuildRequires:	perl-Class-DBI-Loader >= 0.20
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is the "Class::DBI" model class for Catalyst. It's built on top
of "Class::DBI::Loader"

%description -l pl.UTF-8
To jest klasa modelu Class::DBI dla Catalysta. Jest zbudowana w
oparciu o Class::DBI::Loader.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Catalyst/Model/*
%{perl_vendorlib}/Catalyst/Helper/Model/*
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Catalyst-Model-CDBI.spec,v $
Revision 1.6  2012/01/24 16:16:33  zbyniu
- up to 0.12

Revision 1.5  2007/03/23 11:16:35  radek
- updated perl-Catalyst-* to newest versions

Revision 1.4  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.3  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.2  2005/10/12 21:41:36  qboosh
- pl

Revision 1.1  2005/10/11 19:45:27  migo
- initial revisions (big help from pldcpan.pl)
